Summary: Call-graph profiler plugin for valgrind
Name: valgrind-callgrind
Version: 0.10.1
Release: 2.EL4.XOS.1
Source0: http://kcachegrind.sourceforge.net/callgrind-%{version}.tar.bz2
License: GPL
URL: http://kcachegrind.sourceforge.net/
Group: Development/Debuggers
BuildRoot: %{_tmppath}/%{name}-root
ExclusiveArch: %{ix86} x86_64 ppc
BuildRequires: valgrind >= 1:3.1.1
Requires: valgrind = 1:3.1.1
# For make check
BuildRequires: qt-devel

# Disable build root strip policy
%define __spec_install_post /usr/lib/rpm/brp-compress || :

# Disable -debuginfo package generation
%define debug_package	%{nil}

%description
This is a skin (aka plugin) for Valgrind, a program instrumentation
system for IA-32 Linux.  It is based on the cachegrind skin, a cache
simulator from the valgrind core package.  It adds call-graph
profiling.

%prep
%setup -q -n callgrind-%{version}

%build
# make check below needs to compile/link against Qt
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure CFLAGS="${RPM_OPT_FLAGS/-fstack-protector/-fno-stack-protector}" \
	   CXXFLAGS="${RPM_OPT_FLAGS/-fstack-protector/-fno-stack-protector}"
make %{?_smp_mflags}

# test
echo ===============TESTING===================
make check
echo ===============END TESTING===============

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
objcopy -R .debug_loc -R .debug_frame -R .debug_ranges $RPM_BUILD_ROOT%{_libdir}/valgrind/*/callgrind
mkdir docs.installed
mv $RPM_BUILD_ROOT%{_datadir}/doc/callgrind/html/* docs.installed/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README docs.installed/*
%{_bindir}/*
%{_includedir}/valgrind
%{_libdir}/valgrind
%{_mandir}/man1/*

%changelog
* Sat Aug 19 2006 X/OS Linux Team <xoslinux@xos.nl> 0.10.1-2.EL4.XOS.1
- Build for X/OS Linux 4.
- X/OS Linux source rpm based on valgrind-callgrind-0.10.1-2.EL4.src.rpm
  (md5sum of original source rpm: 0f357dc184069678cf9796542e94c53f).

* Thu Apr 13 2006 Jakub Jelinek <jakub@redhat.com> 0.10.1-2.EL4
- build also on ppc
- rebuilt for RHEL4 errata

* Mon Apr 03 2006 Jakub Jelinek <jakub@redhat.com> 0.10.1-2
- require valgrind 3.1.1

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 0.10.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Jan 16 2006 Jakub Jelinek <jakub@redhat.com> 0.10.1-1
- update to 0.10.1 (#176551)

* Thu Oct 13 2005 Jakub Jelinek <jakub@redhat.com> 0.10.0-1
- update to 0.10.0 (#170460)

* Tue Apr 26 2005 Jakub Jelinek <jakub@redhat.com> 0.9.11-1
- update to 0.9.11 (#154865)

* Wed Mar 30 2005 Dan Williams <dcbw@redhat.com> 0.9.10.cvs20050330-1
- Update to cvs, which compiles with valgrind 2.4.x

* Sat Mar  5 2005 Jakub Jelinek <jakub@redhat.com> 0.9.9-2
- rebuilt with GCC 4

* Thu Sep  9 2004 Jakub Jelinek <jakuB@redhat.com> 0.9.9-1
- update to 0.9.9

* Thu Sep  2 2004 Jakub Jelinek <jakuB@redhat.com> 0.9.8-2
- rebuild with valgrind 2.2.0

* Wed Sep  1 2004 Jakub Jelinek <jakuB@redhat.com> 0.9.8-1
- initial package
